📚 Notebooks
==================

This folder contains the set of notebook tutorials (in Python) to help the user get more familiar with FAST-UAV.
* [0) Tutorial](0_Tutorial.ipynb): provides the basics for using FAST-UAV and its main features.
* [1.a) Multirotor Design](1_Multirotor_Design.ipynb): example notebook for the design of a multirotor UAV.
* [1.b) Mission Performance](1b_Mission_performance.ipynb): example notebook to estimate the performance of a pre-defined multirotor UAV for an off-design mission.
* [1.c) Multirotor Design with catalogues](1c_Multirotor_Design_Catalogues.ipynb): example notebook for the design of a multirotor UAV using off-the-shelf components instead of continuous models.
* [2) Fixed-Wing Design](2_FixedWing_Design.ipynb): example notebook for the design of a fixed-wing UAV.
* [3) Hybrid VTOL Design](3_HybridVTOL_Design.ipynb): example notebook for the design of a hybrid VTOL (quadplane) UAV.
* [4) Uncertainty Analysis](4_Uncertainty_analysis.ipynb): provides the means to perform an uncertainty analysis of the design process.
* [5) Design of Experiments](5_Design_of_experiments_Tutorial.ipynb): provides an overview of how to run a design of experiments to quickly evaluate a range of specifications and designs.

💡 Feel free to create your own notebooks for your specific studies!